<?php 
//  Proje:   Google Analystic Export Script         //
//  Site :   http://www.TEAkolik.com                //
//  Yazar:   Hamza SAMLIOGLU                        //
//  Script:  Sergej Müller                          //
//  File:    Xml.class.php                          //
//  Versiyon:   2.0                                 //

class xml {
	private $xml;
	
	public function __construct($file) {
	  if (!$file) {
	    die('No data! Config.php ..!');
	  }
		$this->xml = simplexml_load_file($file);
		if ($this->xml === false) {
		  die('Data download error! Config.php ..!');
		}
	}
	
	private function stripNoDigits($el) {
	  return preg_replace('/[^\d]/', '', $el);
  }
  
	public function parse($XPath, $callbackFunction = '') {
    if ($this->xml === false) {
			return false;
	  }
	  $result = $this->xml->xpath($XPath);
		if (empty($result)) {
		  return false;
		}
		$return = array();
		foreach ($result as $node) {
			if (empty($callbackFunction) === false) {
			  $return[] = call_user_func(array('xml', $callbackFunction), (string)$node);
			} else {
			  $return[] = (string)$node;
			}
		}
		return $return;
	}
}
?>